#ifndef __FORMAT_H__
#define __FORMAT_H__

struct fmtdef {
     char fmtchar;
     char *fmtstr;
     char *(*doit)(struct acct *, int);
     int flag;
};

struct fmtdef fmttbl[] = {
#ifdef EXTRA_FORMATS
     EXTRA_FORMATS
#endif
     { 'u', "%-8s", fmtuser, 0 },
     { 'g', "%-8s", fmtgroup, 0 },
     { 'd', "%-10s", fmttty, 0 },
     { 'c', "%-8s", fmtcmd, 0 },
     { 'U', "%s", fmtstime, 0 },
     { 'S', "%s", fmtstime, 1 },
     { 'E', "%s", fmtstime, 2 },
     { 't', "%s", fmttime, 't' },
     { 'F', "%s", fmtstatus, 0 },
     { 'X', "%-4s", fmtexitsig, 0 },
     { '\0', (char *)0, 0, 0 }
};

#endif
